Skip to main content
GET
/
customer
/
{customerId}
/
role
/
{roleId}
List Role Details
curl --request GET \
  --url https://api.masternautconnect.com/connect-webservices/services/public/v1/customer/{customerId}/role/{roleId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "name": "<string>",
  "activeFeatureKeys": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

customerId
string
required
roleId
string
required

Response

Role details successfully returned

id
string

Unique, unchangeable system generated identifier for the role.

name
string

Role name.

activeFeatureKeys
string[]

Array of active features.